import type { AdapterFactoryContext, AppOptions, EZAppFactoryType, GetEnvelopedFn, InternalAppBuildContext } from './index';
export declare const InternalAppBuildContextKey: unique symbol;
export declare function createEZAppFactory(factoryCtx: AdapterFactoryContext, rawOptionsArg: AppOptions, { preBuild, afterBuild, }?: {
    preBuild?: (ctx: InternalAppBuildContext) => void | Promise<void>;
    afterBuild?: (getEnveloped: GetEnvelopedFn<unknown>, ctx: InternalAppBuildContext) => void | Promise<void>;
}): EZAppFactoryType;
export * from './types';
